org.apache.jmeter.util

## Class JMeterUtils

- java.lang.Object
- - org.apache.jmeter.util.JMeterUtils

- All Implemented Interfaces:
    UnitTestManager

      public class JMeterUtils
      extends java.lang.Object
      implements UnitTestManager

  This class contains the static utility methods used by JMeter.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `RES_KEY_PFX`
    `static java.lang.String` | `THREAD_GROUP_DISTRIBUTED_PREFIX_PROPERTY_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMeterUtils()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addLocaleChangeListener(LocaleChangeListener listener)`
    `static void` | `applyHiDPI(javax.swing.JTable table)` Apply HiDPI mode management to `JTable`
    `static void` | `applyHiDPIOnFonts()` Apply HiDPI scale factor on font if HiDPI mode is enabled
    `static void` | `applyScaleOnFonts(float scale)` Apply HiDPI scale factor on fonts
    `static void` | `clearMatcherMemory(org.apache.oro.text.regex.Perl5Matcher matcher, org.apache.oro.text.regex.Pattern pattern)` Hack to make matcher clean the two internal buffers it keeps in memory which size is equivalent to the unzipped page size
    `static java.util.List<java.lang.String>` | `findClassesThatExtend(java.lang.Class<?> superClass)` Convenience method for `ClassFinder.findClassesThatExtend(String[], Class[], boolean)` with the option to include inner classes in the search set to false and the path list is derived from JMeterUtils.getSearchPaths().
    `static java.io.File` | `findFile(java.lang.String fileName)` Find a file in the current directory or in the JMeter bin directory.
    `static java.lang.String` | `formatJMeterExportedVariableName(java.lang.String elementName)`
    `static java.lang.String` | `getDelimiter(java.lang.String delimiterValue)` Return delimiterValue handling the TAB case
    `static boolean` | `getHiDPIMode()` Provide info, whether we run in HiDPI mode
    `static double` | `getHiDPIScaleFactor()` Provide info about the HiDPI scale factor
    `static javax.swing.ImageIcon` | `getImage(java.lang.String name)` This looks for the requested image in the classpath under org.apache.jmeter.images.
    `static javax.swing.ImageIcon` | `getImage(java.lang.String name, java.lang.String description)` This looks for the requested image in the classpath under org.apache.jmeter.images.
    `static java.lang.String` | `getJMeterBinDir()` Get the JMeter bin directory - does not include the trailing separator.
    `static java.lang.String` | `getJMeterCopyright()` Gets the JMeter copyright.
    `static java.lang.String` | `getJMeterHome()` Get the JMeter home directory - does not include the trailing separator.
    `static java.util.Properties` | `getJMeterProperties()` This gets the currently defined appProperties.
    `static java.lang.String` | `getJMeterVersion()` Gets the JMeter Version.
    `static java.util.Locale` | `getLocale()` Gets the current locale.
    `static java.lang.String` | `getLocaleString(java.lang.String locale)` Get the locale name as a resource.
    `static java.lang.String` | `getLocalHostFullName()` Returns the cached result from calling InetAddress.getLocalHost().getCanonicalHostName()
    `static java.lang.String` | `getLocalHostIP()` Returns the cached result from calling InetAddress.getLocalHost().getHostAddress()
    `static java.lang.String` | `getLocalHostName()` Returns the cached result from calling InetAddress.getLocalHost().getHostName()
    `static org.apache.oro.text.regex.Perl5Matcher` | `getMatcher()` Gets Perl5Matcher for this thread.
    `static java.lang.String` | `getParsedLabel(java.lang.String key)` To get I18N label from properties file
    `static org.apache.oro.text.regex.Pattern` | `getPattern(java.lang.String expression)` Get a compiled expression from the pattern cache (READ_ONLY).
    `static org.apache.oro.text.regex.Pattern` | `getPattern(java.lang.String expression, int options)` Get a compiled expression from the pattern cache.
    `static org.apache.oro.text.PatternCacheLRU` | `getPatternCache()`
    `static boolean` | `getPropDefault(java.lang.String propName, boolean defaultVal)` Get a boolean value with default if not present.
    `static float` | `getPropDefault(java.lang.String propName, float defaultVal)` Get a float value with default if not present.
    `static int` | `getPropDefault(java.lang.String propName, int defaultVal)` Get a int value with default if not present.
    `static long` | `getPropDefault(java.lang.String propName, long defaultVal)` Get a long value with default if not present.
    `static java.lang.String` | `getPropDefault(java.lang.String propName, java.lang.String defaultVal)` Get a String value with default if not present.
    `static java.util.Properties` | `getProperties(java.lang.String file)` This method is used by the init method to load the property file that may even reside in the user space, or in the classpath under org.apache.jmeter.jmeter.properties.
    `static java.lang.String` | `getProperty(java.lang.String propName)` Get the value of a JMeter property.
    `static int` | `getRandomInt(int r)` Provide random numbers
    `static java.lang.String` | `getResourceFileAsText(java.lang.String name)`
    `static java.lang.String` | `getResString(java.lang.String key)` Gets the resource string for this key.
    `static java.lang.String` | `getResString(java.lang.String key, java.util.Locale forcedLocale)` Gets the resource string for this key in Locale.
    `static java.lang.String` | `getResString(java.lang.String key, java.lang.String defaultValue)` Deprecated. Only intended for use in development; use getResString(String) normally
    `static java.lang.String[]` | `getSearchPaths()` Generate a list of paths to search.
    `static void` | `helpGC()` Help GC by triggering GC and finalization
    `void` | `initializeProperties(java.lang.String file)` Your implementation will be handed the filename that was provided to AllTests as a configuration file.
    `static void` | `initLocale()` Initialise the JMeter Locale
    `static void` | `initLogging()` Deprecated. does not do anything anymore
    `static boolean` | `isExpertMode()` Determine whether we are in 'expert' mode.
    `static boolean` | `isTestRunning()`
    `static void` | `loadJMeterProperties(java.lang.String file)` Load the JMeter properties file; if not found, then default to "org/apache/jmeter/jmeter.properties" from the classpath c.f. loadProperties
    `static java.util.Properties` | `loadProperties(java.lang.String file)` This method loads a property file that may reside in the user space, or in the classpath
    `static java.util.Properties` | `loadProperties(java.lang.String file, java.util.Properties defaultProps)` This method loads a property file that may reside in the user space, or in the classpath
    `static java.util.LinkedHashMap<java.lang.String,java.lang.String>` | `parseHeaders(java.lang.String headers)` Split line into name/value pairs and remove colon ':'
    `static void` | `refreshUI()` Refresh UI after LAF change or resizing
    `static void` | `removeLocaleChangeListener(LocaleChangeListener listener)`
    `static void` | `reportErrorToUser(java.lang.String errorMsg)` Report an error through a dialog box.
    `static void` | `reportErrorToUser(java.lang.String errorMsg, java.lang.Exception exception)` Report an error through a dialog box.
    `static void` | `reportErrorToUser(java.lang.String errorMsg, java.lang.String titleMsg)` Report an error through a dialog box in GUI mode or in logs and stdout in Non GUI mode
    `static void` | `reportErrorToUser(java.lang.String errorMsg, java.lang.String titleMsg, java.lang.Exception exception)` Report an error through a dialog box in GUI mode or in logs and stdout in Non GUI mode
    `static void` | `reportInfoToUser(java.lang.String msg, java.lang.String titleMsg)` Report an information through a dialog box in GUI mode
    `static void` | `runSafe(boolean synchronous, java.lang.Runnable runnable)` Run the runnable in AWT Thread if current thread is not AWT thread otherwise runs call `SwingUtilities.invokeAndWait(Runnable)`
    `static void` | `runSafe(java.lang.Runnable runnable)` Run the runnable in AWT Thread if current thread is not AWT thread otherwise runs call `SwingUtilities.invokeAndWait(Runnable)`
    `static void` | `setJMeterHome(java.lang.String home)`
    `static void` | `setLocale(java.util.Locale loc)` Changes the current locale: re-reads resource strings and notifies listeners.
    `static java.lang.Object` | `setProperty(java.lang.String propName, java.lang.String propValue)` Set a String value
    `static void` | `setupXStreamSecurityPolicy(com.thoughtworks.xstream.XStream xstream)` Setup default security policy
    `static java.lang.String` | `unsplit(java.lang.Object[] splittee, java.lang.Object splitChar)` Takes an array of strings and a tokenizer character, and returns a string of all the strings concatenated with the tokenizer string in between each one.
    `static java.lang.String` | `unsplit(java.lang.Object[] splittee, java.lang.Object splitChar, java.lang.String def)` Takes an array of strings and a tokenizer character, and returns a string of all the strings concatenated with the tokenizer string in between each one.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### THREAD_GROUP_DISTRIBUTED_PREFIX_PROPERTY_NAME

          public static final java.lang.String THREAD_GROUP_DISTRIBUTED_PREFIX_PROPERTY_NAME

      See Also:
        Constant Field Values

    - #### RES_KEY_PFX

          public static final java.lang.String RES_KEY_PFX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JMeterUtils

          public JMeterUtils()

  - ### Method Detail

    - #### getMatcher

          public static org.apache.oro.text.regex.Perl5Matcher getMatcher()

      Gets Perl5Matcher for this thread.
      Returns:
        the `Perl5Matcher` for this thread

    - #### getProperties

          public static java.util.Properties getProperties(java.lang.String file)

      This method is used by the init method to load the property file that may even reside in the user space, or in the classpath under org.apache.jmeter.jmeter.properties. The method also initialises logging and sets up the default Locale TODO - perhaps remove? [still used
      Parameters:
        `file` - the file to load
      Returns:
        the Properties from the file
      See Also:
        `getJMeterProperties()`, `loadJMeterProperties(String)`, `initLocale()`

    - #### initLogging

          @Deprecated
          public static void initLogging()

      Deprecated. does not do anything anymore
      Initialise JMeter logging

    - #### initLocale

          public static void initLocale()

      Initialise the JMeter Locale

    - #### loadJMeterProperties

          public static void loadJMeterProperties(java.lang.String file)

      Load the JMeter properties file; if not found, then default to "org/apache/jmeter/jmeter.properties" from the classpath

      c.f. loadProperties

      Parameters:
        `file` - Name of the file from which the JMeter properties should be loaded

    - #### loadProperties

          public static java.util.Properties loadProperties(java.lang.String file)

      This method loads a property file that may reside in the user space, or in the classpath
      Parameters:
        `file` - the file to load
      Returns:
        the Properties from the file, may be null (e.g. file not found)

    - #### loadProperties

          public static java.util.Properties loadProperties(java.lang.String file,
                                                            java.util.Properties defaultProps)

      This method loads a property file that may reside in the user space, or in the classpath
      Parameters:
        `file` - the file to load
        `defaultProps` - a set of default properties
      Returns:
        the Properties from the file; if it could not be processed, the defaultProps are returned.

    - #### getPatternCache

          public static org.apache.oro.text.PatternCacheLRU getPatternCache()

    - #### getPattern

          public static org.apache.oro.text.regex.Pattern getPattern(java.lang.String expression)
                                                              throws org.apache.oro.text.MalformedCachePatternException

      Get a compiled expression from the pattern cache (READ_ONLY).
      Parameters:
        `expression` - regular expression to be looked up
      Returns:
        compiled pattern
      Throws:
        `org.apache.oro.text.MalformedCachePatternException` - (Runtime) This should be caught for expressions that may vary (e.g. user input)

    - #### getPattern

          public static org.apache.oro.text.regex.Pattern getPattern(java.lang.String expression,
                                                                     int options)
                                                              throws org.apache.oro.text.MalformedCachePatternException

      Get a compiled expression from the pattern cache.
      Parameters:
        `expression` - RE
        `options` - e.g. `READ_ONLY_MASK`
      Returns:
        compiled pattern
      Throws:
        `org.apache.oro.text.MalformedCachePatternException` - (Runtime) This should be caught for expressions that may vary (e.g. user input)

    - #### initializeProperties

          public void initializeProperties(java.lang.String file)

      Description copied from interface: `UnitTestManager`
      Your implementation will be handed the filename that was provided to AllTests as a configuration file. It can hold whatever properties you need to configure your system prior to the unit tests running.
      Specified by:
        `initializeProperties` in interface `UnitTestManager`
      Parameters:
        `file` - path to the configuration file

    - #### findClassesThatExtend

          public static java.util.List<java.lang.String> findClassesThatExtend(java.lang.Class<?> superClass)
                                                                        throws java.io.IOException

      Convenience method for `ClassFinder.findClassesThatExtend(String[], Class[], boolean)` with the option to include inner classes in the search set to false and the path list is derived from JMeterUtils.getSearchPaths().
      Parameters:
        `superClass` - - single class to search for
      Returns:
        List of Strings containing discovered class names.
      Throws:
        `java.io.IOException` - when the used `ClassFinder` throws one while searching for the class

    - #### getSearchPaths

          public static java.lang.String[] getSearchPaths()

      Generate a list of paths to search. The output array always starts with JMETER_HOME/lib/ext and is followed by any paths obtained from the "search_paths" JMeter property.
      Returns:
        array of path strings

    - #### getRandomInt

          public static int getRandomInt(int r)

      Provide random numbers
      Parameters:
        `r` - - the upper bound (exclusive)
      Returns:
        a random `int`

    - #### setLocale

          public static void setLocale(java.util.Locale loc)

      Changes the current locale: re-reads resource strings and notifies listeners.
      Parameters:
        `loc` - - new locale

    - #### getLocale

          public static java.util.Locale getLocale()

      Gets the current locale.
      Returns:
        current locale

    - #### addLocaleChangeListener

          public static void addLocaleChangeListener(LocaleChangeListener listener)

    - #### removeLocaleChangeListener

          public static void removeLocaleChangeListener(LocaleChangeListener listener)

    - #### getResString

          public static java.lang.String getResString(java.lang.String key)

      Gets the resource string for this key. If the resource is not found, a warning is logged
      Parameters:
        `key` - the key in the resource file
      Returns:
        the resource string if the key is found; otherwise, return "[res_key="+key+"]"

    - #### getResString

          public static java.lang.String getResString(java.lang.String key,
                                                      java.util.Locale forcedLocale)

      Gets the resource string for this key in Locale. If the resource is not found, a warning is logged
      Parameters:
        `key` - the key in the resource file
        `forcedLocale` - Force a particular locale
      Returns:
        the resource string if the key is found; otherwise, return "[res_key="+key+"]"
      Since:
        2.7

    - #### getResString

          @Deprecated
          public static java.lang.String getResString(java.lang.String key,
                                                                  java.lang.String defaultValue)

      Deprecated. Only intended for use in development; use getResString(String) normally
      Gets the resource string for this key. If the resource is not found, a warning is logged
      Parameters:
        `key` - the key in the resource file
        `defaultValue` - - the default value
      Returns:
        the resource string if the key is found; otherwise, return the default

    - #### getParsedLabel

          public static java.lang.String getParsedLabel(java.lang.String key)

      To get I18N label from properties file
      Parameters:
        `key` - in messages.properties
      Returns:
        I18N label without (if exists) last colon ':' and spaces

    - #### getLocaleString

          public static java.lang.String getLocaleString(java.lang.String locale)

      Get the locale name as a resource. Does not log an error if the resource does not exist. This is needed to support additional locales, as they won't be in existing messages files.
      Parameters:
        `locale` - name
      Returns:
        the locale display name as defined in the current Locale or the original string if not present

    - #### getJMeterProperties

          public static java.util.Properties getJMeterProperties()

      This gets the currently defined appProperties. It can only be called after the `getProperties(String)` or `loadJMeterProperties(String)` method has been called.
      Returns:
        The JMeterProperties value, may be null if `loadJMeterProperties(String)` has not been called
      See Also:
        `getProperties(String)`, `loadJMeterProperties(String)`

    - #### getImage

          public static javax.swing.ImageIcon getImage(java.lang.String name)

      This looks for the requested image in the classpath under org.apache.jmeter.images.<name>
      Parameters:
        `name` - Description of Parameter
      Returns:
        The Image value

    - #### getImage

          public static javax.swing.ImageIcon getImage(java.lang.String name,
                                                       java.lang.String description)

      This looks for the requested image in the classpath under org.apache.jmeter.images.<name>, and also sets the description of the image, which is useful if the icon is going to be placed on the clipboard.
      Parameters:
        `name` - the name of the image
        `description` - the description of the image
      Returns:
        The Image value

    - #### getResourceFileAsText

          public static java.lang.String getResourceFileAsText(java.lang.String name)

    - #### getPropDefault

          public static int getPropDefault(java.lang.String propName,
                                           int defaultVal)

      Get a int value with default if not present.
      Parameters:
        `propName` - the name of the property.
        `defaultVal` - the default value.
      Returns:
        The PropDefault value

    - #### getPropDefault

          public static boolean getPropDefault(java.lang.String propName,
                                               boolean defaultVal)

      Get a boolean value with default if not present.
      Parameters:
        `propName` - the name of the property.
        `defaultVal` - the default value.
      Returns:
        The PropDefault value

    - #### getPropDefault

          public static long getPropDefault(java.lang.String propName,
                                            long defaultVal)

      Get a long value with default if not present.
      Parameters:
        `propName` - the name of the property.
        `defaultVal` - the default value.
      Returns:
        The PropDefault value

    - #### getPropDefault

          public static float getPropDefault(java.lang.String propName,
                                             float defaultVal)

      Get a float value with default if not present.
      Parameters:
        `propName` - the name of the property.
        `defaultVal` - the default value.
      Returns:
        The PropDefault value

    - #### getPropDefault

          public static java.lang.String getPropDefault(java.lang.String propName,
                                                        java.lang.String defaultVal)

      Get a String value with default if not present.
      Parameters:
        `propName` - the name of the property.
        `defaultVal` - the default value.
      Returns:
        The PropDefault value applying a trim on it

    - #### getProperty

          public static java.lang.String getProperty(java.lang.String propName)

      Get the value of a JMeter property.
      Parameters:
        `propName` - the name of the property.
      Returns:
        the value of the JMeter property, or null if not defined

    - #### setProperty

          public static java.lang.Object setProperty(java.lang.String propName,
                                                     java.lang.String propValue)

      Set a String value
      Parameters:
        `propName` - the name of the property.
        `propValue` - the value of the property
      Returns:
        the previous value of the property

    - #### reportErrorToUser

          public static void reportErrorToUser(java.lang.String errorMsg)

      Report an error through a dialog box. Title defaults to "error_title" resource string
      Parameters:
        `errorMsg` - - the error message.

    - #### reportErrorToUser

          public static void reportErrorToUser(java.lang.String errorMsg,
                                               java.lang.String titleMsg)

      Report an error through a dialog box in GUI mode or in logs and stdout in Non GUI mode
      Parameters:
        `errorMsg` - - the error message.
        `titleMsg` - - title string

    - #### reportErrorToUser

          public static void reportErrorToUser(java.lang.String errorMsg,
                                               java.lang.Exception exception)

      Report an error through a dialog box. Title defaults to "error_title" resource string
      Parameters:
        `errorMsg` - - the error message.
        `exception` - `Exception`

    - #### reportErrorToUser

          public static void reportErrorToUser(java.lang.String errorMsg,
                                               java.lang.String titleMsg,
                                               java.lang.Exception exception)

      Report an error through a dialog box in GUI mode or in logs and stdout in Non GUI mode
      Parameters:
        `errorMsg` - - the error message.
        `titleMsg` - - title string
        `exception` - Exception

    - #### reportInfoToUser

          public static void reportInfoToUser(java.lang.String msg,
                                              java.lang.String titleMsg)

      Report an information through a dialog box in GUI mode
      Parameters:
        `msg` - - the information message.
        `titleMsg` - - title string

    - #### unsplit

          public static java.lang.String unsplit(java.lang.Object[] splittee,
                                                 java.lang.Object splitChar)

      Takes an array of strings and a tokenizer character, and returns a string of all the strings concatenated with the tokenizer string in between each one.
      Parameters:
        `splittee` - Array of Objects to be concatenated.
        `splitChar` - Object to unsplit the strings with.
      Returns:
        Array of all the tokens.

    - #### unsplit

          public static java.lang.String unsplit(java.lang.Object[] splittee,
                                                 java.lang.Object splitChar,
                                                 java.lang.String def)

      Takes an array of strings and a tokenizer character, and returns a string of all the strings concatenated with the tokenizer string in between each one.
      Parameters:
        `splittee` - Array of Objects to be concatenated.
        `splitChar` - Object to unsplit the strings with.
        `def` - Default value to replace null values in array.
      Returns:
        Array of all the tokens.

    - #### isTestRunning

          public static boolean isTestRunning()

      Returns:
        true if test is running

    - #### getJMeterHome

          public static java.lang.String getJMeterHome()

      Get the JMeter home directory - does not include the trailing separator.
      Returns:
        the home directory

    - #### getJMeterBinDir

          public static java.lang.String getJMeterBinDir()

      Get the JMeter bin directory - does not include the trailing separator.
      Returns:
        the bin directory

    - #### setJMeterHome

          public static void setJMeterHome(java.lang.String home)

    - #### getJMeterVersion

          public static java.lang.String getJMeterVersion()

      Gets the JMeter Version.
      Returns:
        the JMeter version string

    - #### getJMeterCopyright

          public static java.lang.String getJMeterCopyright()

      Gets the JMeter copyright.
      Returns:
        the JMeter copyright string

    - #### isExpertMode

          public static boolean isExpertMode()

      Determine whether we are in 'expert' mode. Certain features may be hidden from user's view unless in expert mode.
      Returns:
        true if we're in expert mode

    - #### findFile

          public static java.io.File findFile(java.lang.String fileName)

      Find a file in the current directory or in the JMeter bin directory.
      Parameters:
        `fileName` - the name of the file to find
      Returns:
        File object

    - #### getLocalHostIP

          public static java.lang.String getLocalHostIP()

      Returns the cached result from calling InetAddress.getLocalHost().getHostAddress()
      Returns:
        String representation of local IP address

    - #### getLocalHostName

          public static java.lang.String getLocalHostName()

      Returns the cached result from calling InetAddress.getLocalHost().getHostName()
      Returns:
        local host name

    - #### getLocalHostFullName

          public static java.lang.String getLocalHostFullName()

      Returns the cached result from calling InetAddress.getLocalHost().getCanonicalHostName()
      Returns:
        local host name in canonical form

    - #### parseHeaders

          public static java.util.LinkedHashMap<java.lang.String,java.lang.String> parseHeaders(java.lang.String headers)

      Split line into name/value pairs and remove colon ':'
      Parameters:
        `headers` - multi-line string headers
      Returns:
        a map name/value for each header

    - #### runSafe

          public static void runSafe(java.lang.Runnable runnable)

      Run the runnable in AWT Thread if current thread is not AWT thread otherwise runs call `SwingUtilities.invokeAndWait(Runnable)`
      Parameters:
        `runnable` - `Runnable`

    - #### runSafe

          public static void runSafe(boolean synchronous,
                                     java.lang.Runnable runnable)

      Run the runnable in AWT Thread if current thread is not AWT thread otherwise runs call `SwingUtilities.invokeAndWait(Runnable)`
      Parameters:
        `synchronous` - flag, whether we will wait for the AWT Thread to finish its job.
        `runnable` - `Runnable`

    - #### helpGC

          public static void helpGC()

      Help GC by triggering GC and finalization

    - #### clearMatcherMemory

          public static void clearMatcherMemory(org.apache.oro.text.regex.Perl5Matcher matcher,
                                                org.apache.oro.text.regex.Pattern pattern)

      Hack to make matcher clean the two internal buffers it keeps in memory which size is equivalent to the unzipped page size
      Parameters:
        `matcher` - `Perl5Matcher`
        `pattern` - Pattern

    - #### getHiDPIMode

          public static boolean getHiDPIMode()

      Provide info, whether we run in HiDPI mode
      Returns:
        `true` if we run in HiDPI mode, `false` otherwise

    - #### getHiDPIScaleFactor

          public static double getHiDPIScaleFactor()

      Provide info about the HiDPI scale factor
      Returns:
        the factor by which we should scale elements for HiDPI mode

    - #### applyHiDPI

          public static void applyHiDPI(javax.swing.JTable table)

      Apply HiDPI mode management to `JTable`
      Parameters:
        `table` - the `JTable` which should be adapted for HiDPI mode

    - #### getDelimiter

          public static java.lang.String getDelimiter(java.lang.String delimiterValue)

      Return delimiterValue handling the TAB case
      Parameters:
        `delimiterValue` - Delimited value
      Returns:
        String delimited modified to handle correctly tab
      Throws:
        `JMeterError` - if delimiterValue has a length different from 1

    - #### applyHiDPIOnFonts

          public static void applyHiDPIOnFonts()

      Apply HiDPI scale factor on font if HiDPI mode is enabled

    - #### applyScaleOnFonts

          public static void applyScaleOnFonts(float scale)

      Apply HiDPI scale factor on fonts
      Parameters:
        `scale` - float scale to apply

    - #### refreshUI

          public static final void refreshUI()

      Refresh UI after LAF change or resizing

    - #### setupXStreamSecurityPolicy

          public static void setupXStreamSecurityPolicy(com.thoughtworks.xstream.XStream xstream)

      Setup default security policy
      Parameters:
        `xstream` - `XStream`

    - #### formatJMeterExportedVariableName

          public static java.lang.String formatJMeterExportedVariableName(java.lang.String elementName)

      Parameters:
        `elementName` - String elementName
      Returns:
        variable name for index following JMeter convention

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.